org.apache.poi.xssf.usermodel

## Enum TextCap

- java.lang.Object
- - java.lang.Enum<TextCap>
  - - org.apache.poi.xssf.usermodel.TextCap

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextCap>

      public enum TextCap
      extends java.lang.Enum<TextCap>

  Text Capitalization that is to be applied to the text run. This is a render-only modification and does not affect the actual characters stored in the text run.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL`
    `NONE`
    `SMALL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextCap` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextCap[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final TextCap NONE

    - #### SMALL

          public static final TextCap SMALL

    - #### ALL

          public static final TextCap ALL

  - ### Method Detail

    - #### values

          public static TextCap[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextCap c : TextCap.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextCap valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.